Get entity
curl --request GET \
--url https://api.getlemma.com/v0/entities/{entity_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v0/entities/{entity_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v0/entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "entity_k7mXp2vR9nTfBw4s",
"created_at": "2026-07-01T09:30:00Z",
"name": "Riverside Family Medicine",
"structure": "professional_llc",
"npi": "1234567890",
"address": {
"line1": "2261 Market St",
"line2": "Ste 1234",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114"
}
}
{
"statusCode": 404,
"error": "Not found",
"message": "Entity not found"
}
Entities
Get entity
Retrieve details for a specific entity.
GET
/
v0
/
entities
/
{entity_id}
Get entity
Returns detailed information about a single entity. To retrieve the entity’s lockbox mailing address, use the Get entity lockbox endpoint.
Path parameters
string
required
The ID of the entity. You can find entity IDs using the List
entities endpoint.
Response
Returns an entity object.string
Unique identifier for the entity, prefixed with
entity_.string
ISO 8601 timestamp of when the entity was created.
string
The name of the entity or practice.
string
The entity’s legal structure. One of
fqhc, govt,
professional_corporation, professional_llc, llc, corporation,
partnership, sole_prop, or nonprofit.string | null
The entity’s 10-digit National Provider Identifier.
object
{
"id": "entity_k7mXp2vR9nTfBw4s",
"created_at": "2026-07-01T09:30:00Z",
"name": "Riverside Family Medicine",
"structure": "professional_llc",
"npi": "1234567890",
"address": {
"line1": "2261 Market St",
"line2": "Ste 1234",
"city": "San Francisco",
"state": "CA",
"postalCode": "94114"
}
}
{
"statusCode": 404,
"error": "Not found",
"message": "Entity not found"
}
⌘I